# Interface ITables

Represents the full set of tables defined in a DXF file.

interface ITables {
layer: ILayersTable;
lineType: ILayerTypesTable;
viewPort: IViewPortTable;
}

#####
Index

### Properties

layer
lineType
viewPort

##
Properties

### layer

layer: ILayersTable

Layer table.

### lineType

lineType: ILayerTypesTable

Line type table.

### viewPort

viewPort: IViewPortTable

Viewport table.